View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009127ParaViewBugpublic2009-06-09 21:332013-10-28 19:16
ReporterAlan Scott 
Assigned ToAlan Scott 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0009127: Specify Each of the Axis Labels doesn't work at all
DescriptionLocal server, XP, trunk (and I suspect 3.6.0)
Open disk_out_ref.exo, all variables on, apply.
Plot over line, apply.
Edit view options (nit - this should be the same as the name on the window that comes up, which is Line Chart Options).
Bottom Axis/ Layout/ Specify Each of the Axis Labels.
New Label - 20.0
New Label - 30.0
Apply, then OK.

Bug - Nothing happens to the bottom axis.
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0016687)
Ken Moreland (manager)
2009-06-10 09:32

Comment on the nit: We can't change the name of the menu item to "Line Chart Options" because that menu item applies to the options to whatever the current view is, regardless of its type. I suppose we could change it based on the current view, but that could get confusing. I would much rather change the name of the dialog. Perhaps we should change the dialog title from "<view type> Options" to "View Options (<view type>)". So in this instance the dialog would be "View Options (Line Chart)".
(0016698)
Alan Scott (manager)
2009-06-10 16:12

I like Ken's suggestion!
(0017197)
Alan Scott (manager)
2009-08-24 16:47

Please implement this for 3.6.2 if it is reasonably easy. Otherwise, defer to 3.8.0.
(0017256)
Utkarsh Ayachit (administrator)
2009-08-31 16:11

The new charts don't support this functionality. Consequently for 3.6 branch we had disabled the GUI so that the option to specify labels is not available at all.
(0017258)
Utkarsh Ayachit (administrator)
2009-08-31 16:17

Partial fix for BUG 0009127. Changed the options dialog titles to "View
Settings (Bar Chart)" etc.


/cvsroot/ParaView3/ParaView3/Qt/Components/pqActiveChartOptions.cxx,v <-- Qt/Components/pqActiveChartOptions.cxx
new revision: 1.12; previous revision: 1.11
/cvsroot/ParaView3/ParaView3/Qt/Components/pqActiveRenderViewOptions.cxx,v <-- Qt/Components/pqActiveRenderViewOptions.cxx
new revision: 1.6; previous revision: 1.5
/cvsroot/ParaView3/ParaView3/Qt/Components/Resources/UI/pqBarChartOptionsWidget.ui,v <-- Qt/Components/Resources/UI/pqBarChartOptionsWidget.ui
new revision: 1.2; previous revision: 1.1
/cvsroot/ParaView3/ParaView3/Qt/Components/Resources/UI/pqLineChartOptionsWidget.ui,v <-- Qt/Components/Resources/UI/pqLineChartOptionsWidget.ui
new revision: 1.2; previous revision: 1.1


Pending 3.6 commit.
(0031750)
Alan Scott (manager)
2013-10-28 19:16

This is fixed in current master.

- Issue History
Date Modified Username Field Change
2009-06-09 21:33 Alan Scott New Issue
2009-06-10 09:32 Ken Moreland Note Added: 0016687
2009-06-10 16:12 Alan Scott Note Added: 0016698
2009-08-24 16:16 Alan Scott Target Version => 3.6.2
2009-08-24 16:47 Alan Scott Note Added: 0017197
2009-08-31 16:11 Utkarsh Ayachit Note Added: 0017256
2009-08-31 16:11 Utkarsh Ayachit Target Version 3.6.2 => 3.8
2009-08-31 16:17 Utkarsh Ayachit Note Added: 0017258
2013-10-28 19:16 Alan Scott Note Added: 0031750
2013-10-28 19:16 Alan Scott Status expired => closed
2013-10-28 19:16 Alan Scott Assigned To => Alan Scott
2013-10-28 19:16 Alan Scott Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker